Web lists-archives.com

Re: It is not possible to successfully compile glib2.48.1 on windows




On 22.08.2016 3:26, narcisse doudieu siewe wrote:
> 
> I everybody,
> 
> I try to compile glib.2.48.1 on windows using Msys2
> but the "make" step failed with some error on "libcherset"
> as follows.
> 

I would advise you to run it like this:

$ LANG=en_US make &>somefile.log

and then attach parts of somefile.log (or the whole file, if it's not too
large). Not everyone can read French.

Also, it's "libcharset", not "libcherset".

Also, using paths with spaces in them is fraught with peril.

Also, msys2 repositories should have an up-to-date glib package. If not,
ask msys2 glib package maintiner(s) to update.

You can also take their package-building stuff and use it yourself,
updating the version number to 2.48.1 (and other things that need updating,
i.e. most likely archive hashes) and building an updated version yourself
(the point is that there may have been problems and tricky parts in
building glib on Windows that package maintiner(s) already solved). In case
you did do that (and your single `make` output is just for brevity),
disregard this paragraph.

-- 
O< ascii ribbon - stop html email! - www.asciiribbon.org

Attachment: 0x6759BA74.asc
Description: application/pgp-keys

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
gtk-devel-list mailing list
gtk-devel-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-devel-list